## libecpint 1.0.5

=== CMakeLists.txt ===
# minimum version of CMake is 3.12
cmake_minimum_required(VERSION 3.12 FATAL_ERROR)

# define project
project( libecpint
         VERSION 1.0
         LANGUAGES C CXX)

set(API_VERSION 1)
set (CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

# code generator variables
set (LIBECPINT_MAX_L "5" CACHE STRING "Maximum angular momentum")
set (LIBECPINT_MAX_UNROL "1" CACHE STRING "Maximum L for unrolling")

# configure the config header to pass the above variables to the program
configure_file (
  "${PROJECT_SOURCE_DIR}/include/libecpint/config.hpp.in"
  "${CMAKE_CURRENT_BINARY_DIR}/include/libecpint/config.hpp"
)

include(GNUInstallDirs)
include(ExternalProject)
include(external/ImportPugiXML.cmake)
message(${PUGIXML_INCLUDE_DIR})

add_subdirectory(external)
add_subdirectory(src)

option(LIBECPINT_BUILD_TESTS "Enables Libecpint tests." ON)
if (LIBECPINT_BUILD_TESTS)
  include(CTest)
  include(external/ImportGTest.cmake)
  enable_testing()
  add_subdirectory(tests)
endif()
option(LIBECPINT_BUILD_DOCS "Enables Libecpint documentation." ON)
if (LIBECPINT_BUILD_DOCS)
  add_subdirectory(doc)
endif()

install (DIRECTORY include/libecpint DESTINATION include)
install (FILES include/libecpint.hpp DESTINATION include)
install (FILES "${CMAKE_CURRENT_BINARY_DIR}/include/libecpint/config.hpp" DESTINATION include/libecpint)
install (DIRECTORY share/libecpint DESTINATION share)

=== src/CMakeLists.txt ===

# ==================
#  Target: generate
# ==================

add_executable(generate generate.cpp
			lib/mathutil.cpp
			lib/angular.cpp)
set_property(TARGET generate PROPERTY CXX_STANDARD 11)
target_include_directories(generate
  PRIVATE
    ${PROJECT_SOURCE_DIR}/include
    ${PROJECT_SOURCE_DIR}/include/libecpint
    ${CMAKE_CURRENT_BINARY_DIR}/../include/libecpint
)

file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/generated")
file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/generated/ecpint_gen.part" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}/generated")
file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/generated/qgen.part" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}/generated")
find_package (Python COMPONENTS Interpreter)
execute_process(COMMAND ${Python_EXECUTABLE} "${CMAKE_CURRENT_SOURCE_DIR}/makelist.py" "${LIBECPINT_MAX_L}" "${CMAKE_CURRENT_BINARY_DIR}")
file(READ "${CMAKE_CURRENT_BINARY_DIR}/qlist.txt" GENERATED_SOURCES)
STRING(REGEX REPLACE "\n" ";" GENERATED_SOURCES "${GENERATED_SOURCES}")
add_custom_command(
	OUTPUT ${GENERATED_SOURCES}
	COMMAND generate "${PROJECT_SOURCE_DIR}/include/libecpint/"
	DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/generated/ecpint_gen.part
	COMMENT "Generating and unrolling integral code."
)

# ================
#  Target: ecpint
# ================

file(GLOB_RECURSE LIB_SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/lib/*.cpp")
add_library(ecpint ${LIB_SOURCES} ${GENERATED_SOURCES})
add_library(ECPINT::ecpint ALIAS ecpint)

if(NOT BUILD_SHARED_LIBS)
  set_property(TARGET ecpint PROPERTY POSITION_INDEPENDENT_CODE ON)
endif()

set_property(TARGET ecpint PROPERTY CXX_STANDARD 11)
set_target_properties(ecpint PROPERTIES SOVERSION ${API_VERSION})
target_include_directories(ecpint
  PUBLIC
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/libecpint>
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/../include/libecpint>
    $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/include/libecpint>
    $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/include>
  PRIVATE
    ${PUGIXML_INCLUDE_DIR}
)
target_link_libraries(ecpint
 PRIVATE
  Faddeeva
  libpugixml
)

# =========
#  Install
# =========

install(TARGETS ecpint EXPORT ecpintTargets DESTINATION ${CMAKE_INSTALL_LIBDIR})
include(CMakePackageConfigHelpers)
# Version file
write_basic_package_version_file(
  ${CMAKE_CURRENT_BINARY_DIR}/ecpint-config-version.cmake
  VERSION ${PROJECT_VERSION}
  COMPATIBILITY AnyNewerVersion
)
# Config file
configure_package_config_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/config.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/ecpint-config.cmake
  INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/ecpint
)
# Targets files
export(
  EXPORT ecpintTargets
  FILE ${CMAKE_CURRENT_BINARY_DIR}/ecpint-targets.cmake
)
install(
  EXPORT ecpintTargets
  FILE ecpint-targets.cmake
  NAMESPACE ECPINT::
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/ecpint
)
install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/ecpint-config.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/ecpint-config-version.cmake
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/ecpint
)

install(TARGETS ecpint DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== doc/sphinx/CMakeLists.txt ===
find_package(Sphinx)
find_package(Python COMPONENTS Interpreter Development)

set(SPHINX_SOURCE ${CMAKE_CURRENT_SOURCE_DIR}/source)
set(SPHINX_BUILD ${CMAKE_CURRENT_SOURCE_DIR}/build)

add_custom_target(Sphinx ALL
                  COMMAND
                  ${SPHINX_EXECUTABLE} -b html
		  -Dbreathe_projects.libecpint=${DOXYGEN_OUTPUT_DIR}
		  ${SPHINX_SOURCE} ${SPHINX_BUILD}
                  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                  COMMENT "Generating documentation with Sphinx")
set_target_properties(Sphinx PROPERTIES EXCLUDE_FROM_ALL TRUE)

=== external/Faddeeva/CMakeLists.txt ===
add_library(Faddeeva Faddeeva.cpp)
set_property(TARGET Faddeeva PROPERTY CXX_STANDARD 11)
set_target_properties(Faddeeva PROPERTIES SOVERSION ${API_VERSION})
target_include_directories(Faddeeva
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
#    $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/include/libecpint>
)
if(NOT BUILD_SHARED_LIBS)
  set_property(TARGET Faddeeva PROPERTY POSITION_INDEPENDENT_CODE ON)
endif()
install(TARGETS Faddeeva EXPORT ecpintTargets DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== tests/lib/CMakeLists.txt ===
add_subdirectory(int_test1)
add_subdirectory(int_test2)
add_subdirectory(deriv_test1)
add_subdirectory(deriv_test2)
add_subdirectory(hess_test1)
add_subdirectory(hess_test2)
add_subdirectory(api_test1)
add_subdirectory(api_test2)
add_subdirectory(type1_test1)
add_subdirectory(type1_test2)
add_subdirectory(stress_test)

=== tests/units/CMakeLists.txt ===
include_directories(${GTEST_INCLUDE_DIR})

add_subdirectory(mathutil)
add_subdirectory(multiarr)
add_subdirectory(bessel)
add_subdirectory(gshell)
add_subdirectory(ecp)
add_subdirectory(gaussquad)
add_subdirectory(generate)

=== tests/lib/api_test1/CMakeLists.txt ===
add_executable(api_test1 test1.cpp)
target_link_libraries(api_test1 ecpint)

add_test(NAME APITest1
	 COMMAND api_test1
	 WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/tests/lib/api_test1)

=== tests/lib/type1_test1/CMakeLists.txt ===
add_executable(type1_test1 test1.cpp)
target_link_libraries(type1_test1 ecpint)

add_test(NAME Type1Test1
	 COMMAND type1_test1
	 WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/tests/lib/type1_test1)

=== tests/units/gaussquad/CMakeLists.txt ===
add_executable(quad_test
	gaussquad.cpp
)

target_link_libraries(quad_test gtest)
target_link_libraries(quad_test ecpint)

add_test(
	NAME
	  GaussQuad
	COMMAND
	  ${CMAKE_BINARY_DIR}/tests/units/gaussquad/quad_test
)

=== tests/units/gshell/CMakeLists.txt ===
add_executable(gshell_test
	gshell.cpp
)

target_link_libraries(gshell_test gtest)
target_link_libraries(gshell_test ecpint)

add_test(
	NAME
	  GaussianShell
	COMMAND
	  ${CMAKE_BINARY_DIR}/tests/units/gshell/gshell_test
)

=== tests/units/mathutil/CMakeLists.txt ===
add_executable(math_test
	math.cpp
)

target_link_libraries(math_test gtest)
target_link_libraries(math_test ecpint)

add_test(
	NAME
	  MathUtil
	COMMAND
	  ${CMAKE_BINARY_DIR}/tests/units/mathutil/math_test
)

=== debian/changelog ===
libecpint (1.0.5-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * debian/rules: Add -ffloat-store to DEB_CXXFLAGS_MAINT_APPEND on i386,
    fixing the test suite.

 -- Michael Banck <mbanck@debian.org>  Mon, 01 Mar 2021 22:05:42 +0100

libecpint (1.0.5-1) unstable; urgency=medium

  * New upstream point release.

 -- Michael Banck <mbanck@debian.org>  Fri, 05 Feb 2021 11:42:24 +0100

libecpint (1.0.4-2) unstable; urgency=medium

  * debian/control (libecpint-dev/Depends): Added libpugixml-dev.

 -- Michael Banck <mbanck@debian.org>  Sun, 17 Jan 2021 19:33:01 +0100

libecpint (1.0.4-1) unstable; urgency=medium

  * New upstream point release.

 -- Michael Banck <mbanck@debian.org>  Sun, 03 Jan 2021 19:58:10 +0100

libecpint (1.0.2-1) unstable; urgency=medium

  * Initial release.

 -- Michael Banck <mbanck@debian.org>  Tue, 13 Oct 2020 21:51:47 +0200

=== debian/control ===
Source: libecpint
Section: libs
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 12),
               cmake (>= 3.0.2),
               libgtest-dev,
               libpugixml-dev,
               python3,
               sphinx
Standards-Version: 4.5.0
Homepage: https://github.com/robashaw/libecpint
Vcs-Browser: https://salsa.debian.org/debichem-team/libecpint
Vcs-Git: https://salsa.debian.org/debichem-team/libecpint.git

Package: libecpint-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpugixml-dev
Description: Effective Core Potentials integration library (development files)
 Libecpint is a library for the efficient evaluation of integrals over ab
 initio effective core potentials, using a mixture of generated, recursive code
 and Gauss-Chebyshev quadrature.
 .
 This package contains the static library, headers and cmake support files.

=== debian/watch ===
version=3
https://github.com/robashaw/libecpint/releases .*/archive/v([\d.]+)\.tar\.gz

## libecpint 1.0.7

=== CMakeLists.txt ===
# minimum version of CMake is 3.12
cmake_minimum_required(VERSION 3.12 FATAL_ERROR)

include(CheckCXXCompilerFlag)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF) #...without compiler extensions like gnu++11

# build type
if(NOT CMAKE_BUILD_TYPE)
  message(STATUS "No build type specified. Will build Release.")
  set(CMAKE_BUILD_TYPE Release CACHE STRING "Build type (Release/Debug/RelWithDebInfo)")
else()
  string(TOUPPER "${CMAKE_BUILD_TYPE}" _upper_build_type)
  if("${_upper_build_type}" STREQUAL "DEBUG")
    add_compile_definitions(DEBUG)
  endif()
endif(NOT CMAKE_BUILD_TYPE)

# define project
project( libecpint
         VERSION 1.0.7
         LANGUAGES C CXX)

set(API_VERSION 1)
set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

# code generator variables
set(LIBECPINT_MAX_L "5" CACHE STRING "Maximum angular momentum")
set(LIBECPINT_MAX_UNROL "1" CACHE STRING "Maximum L for unrolling")

# configure the config header to pass the above variables to the program
configure_file (
  "${PROJECT_SOURCE_DIR}/include/libecpint/config.hpp.in"
  "${CMAKE_CURRENT_BINARY_DIR}/include/libecpint/config.hpp"
)

include(GNUInstallDirs)
include(ExternalProject)

option(LIBECPINT_USE_PUGIXML "Use pugixml and build file reading routines." ON)
if (LIBECPINT_USE_PUGIXML)
  include(external/ImportPugiXML.cmake)
  add_compile_definitions(HAS_PUGIXML)
else()
  message(STATUS "pugixml not configured; reading ECP definitions from files is disabled.")
endif()

option(LIBECPINT_USE_CERF "Detect pre-built Cerf library for complex error functions. OFF builds internal Faddeeva library." OFF)

if(MSVC)
    # MSVC does not include <cmath> constants, unless _USE_MATH_DEFINES is defined.
    add_definitions("/D_USE_MATH_DEFINES")
    # Set the exception handling model
    add_definitions("/EHsc")
endif()

add_subdirectory(external)
add_subdirectory(src)

option(LIBECPINT_BUILD_TESTS "Enables Libecpint tests." ON)
if (LIBECPINT_BUILD_TESTS)
  message(STATUS "Will build libecpint tests.")
  include(CTest)
  include(external/ImportGTest.cmake)
  enable_testing()
  add_subdirectory(tests)
endif()

option(LIBECPINT_BUILD_DOCS "Enables Libecpint documentation." ON)
if (LIBECPINT_BUILD_DOCS)
  add_subdirectory(doc)
endif()

install(DIRECTORY include/libecpint DESTINATION include PATTERN "*.in" EXCLUDE)
install(FILES include/libecpint.hpp DESTINATION include)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/include/libecpint/config.hpp" DESTINATION include/libecpint)
install(DIRECTORY share/libecpint DESTINATION share)

message("\nSummary:")
message("--------")
message(STATUS "Maximum angular momentum           : ${LIBECPINT_MAX_L}")
message(STATUS "Maximum angular momentum unrolling : ${LIBECPINT_MAX_UNROL}")
message(STATUS "Build tests                        : ${LIBECPINT_BUILD_TESTS}")
message("")

=== doc/CMakeLists.txt ===
set(DOXYGEN_OUTPUT_DIR ${CMAKE_CURRENT_SOURCE_DIR}/doxygen/xml)

add_subdirectory(doxygen)
add_subdirectory(sphinx)

add_custom_target(docs DEPENDS Doxygen Sphinx)
set_target_properties(docs PROPERTIES EXCLUDE_FROM_ALL TRUE)

=== example/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12 FATAL_ERROR)

# define project
project( LibecpintExample
         VERSION 1.0
         LANGUAGES CXX)

add_executable(example example.cpp)
target_link_libraries(example PRIVATE ecpint Faddeeva pugixml)
file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/iodine.bas
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/hydrogen.bas
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

=== external/CMakeLists.txt ===
add_subdirectory(Faddeeva)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,11 @@
 #  Target: generate
 # ==================
 
-add_executable(generate generate.cpp
-			lib/mathutil.cpp
-			lib/angular.cpp)
+add_executable(generate
+               generate.cpp
+               lib/mathutil.cpp
+               lib/angular.cpp)
+
 set_property(TARGET generate PROPERTY CXX_STANDARD 11)
 target_include_directories(generate
   PRIVATE
@@ -49,14 +51,36 @@
     $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/../include/libecpint>
     $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/include/libecpint>
     $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/include>
-  PRIVATE
-    ${PUGIXML_INCLUDE_DIR}
 )
-target_link_libraries(ecpint
- PRIVATE
-  Faddeeva
-  libpugixml
-)
+
+if (LIBECPINT_USE_CERF)
+    find_package(cerf CONFIG REQUIRED) # QUIET)  # COMPONENTS C)
+
+    if(${cerf_FOUND})
+        get_property(_loc TARGET cerf::cerf PROPERTY LOCATION)
+        message(STATUS "${Cyan}Found cerf${ColourReset}: ${_loc}")
+    else()
+        if(${CMAKE_INSIST_FIND_PACKAGE_cerf})
+            message(FATAL_ERROR "Suitable cerf could not be externally located as user insists")
+        endif()
+    endif()
+    target_compile_definitions(ecpint PRIVATE USING_CERF=1)
+    target_link_libraries(ecpint
+     PRIVATE
+      cerf::cerf
+    )
+else()
+    message(STATUS "${Cyan}Using Faddeeva${ColourReset}: internal")
+    target_link_libraries(ecpint
+     PRIVATE
+      Faddeeva
+    )
+endif()
+
+if(LIBECPINT_USE_PUGIXML)
+  target_include_directories(ecpint PRIVATE ${PUGIXML_INCLUDE_DIR})
+  target_link_libraries(ecpint PRIVATE libpugixml)
+endif()
 
 # =========
 #  Install

=== tests/CMakeLists.txt ===
add_subdirectory(units)
add_subdirectory(lib)

=== doc/doxygen/CMakeLists.txt ===
find_package(Doxygen)

# Find all the public headers
get_target_property(LIBECPINT_PUBLIC_HEADER_DIR ecpint  INTERFACE_INCLUDE_DIRECTORIES)
file(GLOB_RECURSE LIBECPINT_PUBLIC_HEADERS ${LIBECPINT_PUBLIC_HEADER_DIR}/*.hpp)

#This will be the main output of our command
set(DOXYGEN_INDEX_FILE ${CMAKE_CURRENT_SOURCE_DIR}/html/index.html)

add_custom_command(OUTPUT ${DOXYGEN_INDEX_FILE}
                   DEPENDS ${LIBECPINT_PUBLIC_HEADERS}
                   COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                   MAIN_DEPENDENCY Doxyfile
                   COMMENT "Generating docs")

add_custom_target(Doxygen ALL DEPENDS ${DOXYGEN_INDEX_FILE})
set_target_properties(Doxygen PROPERTIES EXCLUDE_FROM_ALL TRUE)

=== doc/sphinx/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = libecpint
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== doc/sphinx/requirements.txt ===
### requirements.txt ###
breathe
exhale

=== external/Faddeeva/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+if (NOT LIBECPINT_USE_CERF)
 add_library(Faddeeva Faddeeva.cpp)
 set_property(TARGET Faddeeva PROPERTY CXX_STANDARD 11)
 set_target_properties(Faddeeva PROPERTIES SOVERSION ${API_VERSION})
@@ -10,3 +11,4 @@
   set_property(TARGET Faddeeva PROPERTY POSITION_INDEPENDENT_CODE ON)
 endif()
 install(TARGETS Faddeeva EXPORT ecpintTargets DESTINATION ${CMAKE_INSTALL_LIBDIR})
+endif()

=== tests/lib/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,9 @@
 add_subdirectory(hess_test1)
 add_subdirectory(hess_test2)
 add_subdirectory(api_test1)
+if (LIBECPINT_USE_PUGIXML)
 add_subdirectory(api_test2)
+add_subdirectory(stress_test)
+endif()
 add_subdirectory(type1_test1)
 add_subdirectory(type1_test2)
-add_subdirectory(stress_test)

=== tests/lib/api_test2/CMakeLists.txt ===
add_executable(api_test2 test2.cpp)
target_link_libraries(api_test2 ecpint)

add_test(NAME APITest2
	 COMMAND api_test2 ${CMAKE_SOURCE_DIR}/share/libecpint
	 WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/tests/lib/api_test2)

=== debian/changelog ===
libecpint (1.0.7-4) unstable; urgency=medium

  * Team upload.
  * debian/patches/migrate_cxx_standard_to_targets.patch: Apply upstream
    fix to allow C++14 for GTest without disrupting C++11 elsewhere.
    (Closes: #1041121)
  * debian/control: Bump Standards-Version to 4.6.2, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 06 Sep 2023 18:11:09 -0700

libecpint (1.0.7-3) unstable; urgency=medium

  * Reupload with correct state of git repository.  

 -- Michael Banck <mbanck@debian.org>  Tue, 17 Jan 2023 11:34:58 +0100

libecpint (1.0.7-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository-Browse.
  * debian/watch: Use GitHub /tags rather than /releases page.
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake.

 -- Michael Banck <mbanck@debian.org>  Sun, 15 Jan 2023 10:43:55 +0100

libecpint (1.0.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Updated.
  * debian/patches/gtest_pthread.patch: Refreshed.

 -- Michael Banck <mbanck@debian.org>  Sun, 02 Jan 2022 23:35:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>= 12),
-               cmake (>= 3.0.2),
+Build-Depends: debhelper-compat (= 13),
+               cmake,
                libgtest-dev,
                libpugixml-dev,
                python3,
                sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/robashaw/libecpint
 Vcs-Browser: https://salsa.debian.org/debichem-team/libecpint
 Vcs-Git: https://salsa.debian.org/debichem-team/libecpint.git
@@ -20,6 +20,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libpugixml-dev
+Multi-Arch: same
 Description: Effective Core Potentials integration library (development files)
  Libecpint is a library for the efficient evaluation of integrals over ab
  initio effective core potentials, using a mixture of generated, recursive code

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

ifneq (,$(filter $(DEB_HOST_ARCH), i386))
  export DEB_CXXFLAGS_MAINT_APPEND += -ffloat-store
endif

%:
	dh $@ --buildsystem=cmake

=== debian/watch ===
version=4
https://github.com/robashaw/libecpint/tags .*/archive/refs/tags/v([\d.]+)\.tar\.gz
